---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.0.22/23"],"mac_address":"7a:be:ac:81:00:17","gateway_ips":["10.129.0.1"],"ip_address":"10.129.0.22/23","gateway_ip":"10.129.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.22"
          ],
          "mac": "7a:be:ac:81:00:17",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.22"
          ],
          "mac": "7a:be:ac:81:00:17",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
  creationTimestamp: "2020-05-26T14:22:08Z"
  generateName: cluster-storage-operator-5ff5c5766-
  labels:
    name: cluster-storage-operator
    pod-template-hash: 5ff5c5766
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:name: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"7dc8a5e8-f835-4e47-ab00-5eeab3c11fc4"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"cluster-storage-operator"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"OPERATOR_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"RELEASE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"WATCH_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":60000,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T14:22:08Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T14:22:34Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T14:22:52Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.129.0.22"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T14:23:27Z"
  name: cluster-storage-operator-5ff5c5766-nlnb5
  namespace: openshift-cluster-storage-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: cluster-storage-operator-5ff5c5766
    uid: 7dc8a5e8-f835-4e47-ab00-5eeab3c11fc4
  resourceVersion: "11623"
  selfLink: /api/v1/namespaces/openshift-cluster-storage-operator/pods/cluster-storage-operator-5ff5c5766-nlnb5
  uid: 8663b289-4bf5-4708-a73e-423c1956ee7d
spec:
  containers:
  - command:
    - cluster-storage-operator
    env:
    - name: RELEASE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: WATCH_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: OPERATOR_NAME
      value: storage
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:696da8e9278ccc799c824518e41a4a8f0e210824ad341c60ede4bdf04cfac7b2
    imagePullPolicy: IfNotPresent
    name: cluster-storage-operator
    ports:
    - containerPort: 60000
      name: metrics
      protocol: TCP
    resources:
      requests:
        cpu: 10m
        memory: 20Mi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000410000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: cluster-storage-operator-token-ncv47
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: ip-10-0-162-213.ec2.internal
  nodeSelector:
    node-role.kubernetes.io/master: ""
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000410000
    seLinuxOptions:
      level: s0:c20,c15
  serviceAccount: cluster-storage-operator
  serviceAccountName: cluster-storage-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: cluster-storage-operator-token-ncv47
    secret:
      defaultMode: 420
      secretName: cluster-storage-operator-token-ncv47
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:22:30Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:23:27Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:23:27Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:22:08Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://8632808c84c024a879a0d4d02ac550ee69b0c6c6919192f44d4445f1daf0bc8e
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:696da8e9278ccc799c824518e41a4a8f0e210824ad341c60ede4bdf04cfac7b2
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:696da8e9278ccc799c824518e41a4a8f0e210824ad341c60ede4bdf04cfac7b2
    lastState: {}
    name: cluster-storage-operator
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2020-05-26T14:23:27Z"
  hostIP: 10.0.162.213
  phase: Running
  podIP: 10.129.0.22
  podIPs:
  - ip: 10.129.0.22
  qosClass: Burstable
  startTime: "2020-05-26T14:22:30Z"
